# $Revision: 1.12 $, $Date: 2010/07/08 08:17:24 $

%define	module	json-py

Summary:	JSON implementation
Summary(pl.UTF-8):	Rozszerzenie json-py do unittest
Name:		python-json-py
Version:	3.4
Release:	6
License:	GPL
Group:		Development/Languages/Python
Source0:	http://dl.sourceforge.net/json-py/json-py-3_4.zip
# Source0-md5:	921ebfede886a10ff32d6d4b4e216f8f
URL:		http://json-py.sourceforge.net/
BuildRequires:	python-modules
BuildRequires:	rpm-pythonprov
BuildRequires:	unzip
%pyrequires_eq	python
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
json.py is an implementation of a JSON (http://json.org/) reader and
writer in Python.

%description -l pl.UTF-8
json.py to implementacja odczytu i zapisu JSON (http://json.org/) w
Pythonie.

%prep
%setup -q -c

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{py_sitescriptdir}/json_py-%{version}-py%{py_ver}.egg-info

install *.py $RPM_BUILD_ROOT%{py_sitescriptdir}

%py_ocomp $RPM_BUILD_ROOT%{py_sitescriptdir}
%py_comp $RPM_BUILD_ROOT%{py_sitescriptdir}
%py_postclean

echo 'Metadata-Version: 1.0
Name: %{module}
Version: %{version}
Summary: %{summary}
Home-page: %{url}
License: %{license}' > $RPM_BUILD_ROOT%{py_sitescriptdir}/json_py-%{version}-py%{py_ver}.egg-info/PKG-INFO

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{py_sitescriptdir}/*.py[co]
%{py_sitescriptdir}/json_py*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: python-json-py.spec,v $
Revision 1.12  2010/07/08 08:17:24  arekm
- release 6

Revision 1.11  2009/11/26 21:52:47  sparky
- BR: python-modules, rpm-pythonprov

Revision 1.10  2008/10/03 17:52:12  arekm
- release 5

Revision 1.9  2008/07/27 23:00:59  arekm
- release 4

Revision 1.8  2007-02-13 08:06:42  glen
- tabs in preamble

Revision 1.7  2007/02/12 01:06:28  baggins
- converted to UTF-8

Revision 1.6  2006/09/30 23:11:31  arekm
- rel .3

Revision 1.5  2006/07/26 16:03:33  glen
- unify sourceforge url

Revision 1.4  2005/12/24 14:02:58  arekm
- rebuild

Revision 1.3  2005/12/24 10:23:51  qboosh
- pl desc

Revision 1.2  2005/12/20 20:07:46  arekm
- add workaround for egg requiring software

Revision 1.1  2005/12/20 19:30:15  arekm
- new
